{
    "$graph": [
        {
            "label": "align_merge",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "align_merge",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "align.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#align_merge.cwl/align_name"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-allow-intersection"
                    },
                    "id": "#align_merge.cwl/allow_intersection"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#align_merge.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-blastdb",
                        "valueFrom": "$(inputs.blastdb_dir.path)/$(inputs.blastdb)"
                    },
                    "id": "#align_merge.cwl/blastdb"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#align_merge.cwl/blastdb_dir"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-collated"
                    },
                    "id": "#align_merge.cwl/collated"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-compart"
                    },
                    "id": "#align_merge.cwl/compart"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-fill-gaps"
                    },
                    "id": "#align_merge.cwl/fill_gaps"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-filter"
                    },
                    "id": "#align_merge.cwl/filter"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#align_merge.cwl/ifmt"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#align_merge.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#align_merge.cwl/input_manifest"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 20,
                    "inputBinding": {
                        "prefix": "-max-discontinuity"
                    },
                    "id": "#align_merge.cwl/max_discontinuity"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-top-compartment-only"
                    },
                    "id": "#align_merge.cwl/top_compartment_only"
                }
            ],
            "id": "#align_merge.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.align_name)"
                    },
                    "id": "#align_merge.cwl/align"
                }
            ]
        },
        {
            "label": "align_merge_sas",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "boolean",
                    "id": "#main/allow_intersection"
                },
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "File",
                    "id": "#main/blast_align"
                },
                {
                    "type": "string",
                    "id": "#main/blastdb"
                },
                {
                    "type": "Directory",
                    "id": "#main/blastdb_dir"
                },
                {
                    "type": "boolean",
                    "id": "#main/collated"
                },
                {
                    "type": "boolean",
                    "id": "#main/compart"
                },
                {
                    "type": "boolean",
                    "id": "#main/fill_gaps"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/filter"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/max_discontinuity"
                },
                {
                    "type": "boolean",
                    "id": "#main/top_compartment_only"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/align_merge/align",
                    "id": "#main/align"
                }
            ],
            "steps": [
                {
                    "run": "#align_merge.cwl",
                    "in": [
                        {
                            "source": "#main/allow_intersection",
                            "id": "#main/align_merge/allow_intersection"
                        },
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/align_merge/asn_cache"
                        },
                        {
                            "source": "#main/blastdb",
                            "id": "#main/align_merge/blastdb"
                        },
                        {
                            "source": "#main/blastdb_dir",
                            "id": "#main/align_merge/blastdb_dir"
                        },
                        {
                            "source": "#main/collated",
                            "id": "#main/align_merge/collated"
                        },
                        {
                            "source": "#main/compart",
                            "id": "#main/align_merge/compart"
                        },
                        {
                            "source": "#main/fill_gaps",
                            "id": "#main/align_merge/fill_gaps"
                        },
                        {
                            "source": "#main/filter",
                            "id": "#main/align_merge/filter"
                        },
                        {
                            "default": "seq-align-set",
                            "id": "#main/align_merge/ifmt"
                        },
                        {
                            "source": "#main/blast_align",
                            "id": "#main/align_merge/input"
                        },
                        {
                            "source": "#main/max_discontinuity",
                            "id": "#main/align_merge/max_discontinuity"
                        },
                        {
                            "source": "#main/top_compartment_only",
                            "id": "#main/align_merge/top_compartment_only"
                        }
                    ],
                    "out": [
                        "#main/align_merge/align"
                    ],
                    "id": "#main/align_merge"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.2"
}
